package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 计算公式数据对象 mall_count_method
 * 
 * @author ruoyi
 * @date 2023-10-25
 */
public class MallCountMethod extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 计算方法id */
    @Excel(name = "计算方法id")
    private Long countMethodId;

    /** 规则id */
    @Excel(name = "规则id")
    private Long acceptRuleId;

    /** 计算模式(0-文化分,1-专业分) */
    @Excel(name = "计算模式(0-文化分,1-专业分)")
    private Integer countMode;

    /** 计算方法(0-乘法,1-除法) */
    @Excel(name = "计算方法(0-乘法,1-除法)")
    private Integer countType;

    /** 计算值 */
    @Excel(name = "计算值")
    private BigDecimal countValue;

    /** 是否百分比 */
    @Excel(name = "是否百分比")
    private Integer valueType;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    public void setCountMethodId(Long countMethodId) 
    {
        this.countMethodId = countMethodId;
    }

    public Long getCountMethodId() 
    {
        return countMethodId;
    }
    public void setAcceptRuleId(Long acceptRuleId) 
    {
        this.acceptRuleId = acceptRuleId;
    }

    public Long getAcceptRuleId() 
    {
        return acceptRuleId;
    }
    public void setCountMode(Integer countMode) 
    {
        this.countMode = countMode;
    }

    public Integer getCountMode() 
    {
        return countMode;
    }
    public void setCountType(Integer countType) 
    {
        this.countType = countType;
    }

    public Integer getCountType() 
    {
        return countType;
    }
    public void setCountValue(BigDecimal countValue) 
    {
        this.countValue = countValue;
    }

    public BigDecimal getCountValue() 
    {
        return countValue;
    }
    public void setValueType(Integer valueType) 
    {
        this.valueType = valueType;
    }

    public Integer getValueType() 
    {
        return valueType;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("countMethodId", getCountMethodId())
            .append("acceptRuleId", getAcceptRuleId())
            .append("countMode", getCountMode())
            .append("countType", getCountType())
            .append("countValue", getCountValue())
            .append("valueType", getValueType())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
